/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *  
 *  $Rev: 538980 $  $Date: 2007/12/05 16:30:12 $
 */
package com.ibm.sdo.tck;


import org.junit.runner.RunWith;
import org.junit.runners.Suite;

import com.ibm.sdo.tck.framework.TCKSuiteRunner;

/**
 * The main "root" TCK test suite which includes execution of the following
 * sub-categorized TCK within JUnit 4.1 environment:
 * <ul>
 * <li>{@link test.sdo21.tests.TCKTestSuite}</li>
 * </ul>
 */

@RunWith(TCKSuiteRunner.class)
@Suite.SuiteClasses( {com.ibm.sdo.tck.tests.TCKTestSuite.class})
public class TCKSuite {

    /**
     * Main method allows tests to be run directly from command-line.
     * 
     * @param args
     */
    // TODO: add some useful parameters here such as helper class or JUnit
    // runner
    public static void main(String[] args) {
        try {
            org.junit.runner.JUnitCore.runClasses(Class.forName("com.ibm.sdo.tck.TCKSuite"));
        } catch (ClassNotFoundException e) {
            System.out.println("Exception " + e.toString());
            e.printStackTrace();
        }
    }



}
