/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *  
 *  $Rev: 538937 $  $Date: 2007/11/13 21:05:14 $
 */
package com.ibm.sdo.tck.framework;

import commonj.sdo.DataObject;
import commonj.sdo.helper.HelperContext;

public interface DataObjectFactory {

	/**
	 * Returns the scoped used for this DataObjectFactory
	 * @return
	 */
	public HelperContext getHelperContext();
	
	/**
	 * Returns the name of the static package used for this DataObjectFactory.
	 * Returns null in the case of dynamic.
	 * @return
	 */
	public String getPackage();
	
	/** 
	 * Creates and returns a DataObject of Type 'APITest'
	 * @return
	 */
	public DataObject createTestAPIObject();
	
	/**
	 * Creates and returns a DataObject of Type 'Sequenced'
	 * @return
	 */
	public DataObject createSequencedObject();
	
	/**
	 * Creates and returns a DataObject of Type 'Extended'
	 * @return
	 */
	public DataObject createExtendedObject();
}
