/*
 * <copyright>
 * 
 * Operation.java
 *
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM
 * 
 * (c) Copyright IBM Corporation 2009.  All Rights Reserved. 
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or  
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp. 
 * 
 * </copyright>
 * 
 */
package com.ibm.sdo.tck.framework.annotations;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;


@Target({ElementType.METHOD}) @Documented  @Retention(RetentionPolicy.RUNTIME) 
public @interface Operation 
{
  public enum ErrorOutcome {NO_ERROR, EXCEPTION, NULL_POINTER, CLASS_CAST, INVALID_STATE, ILLEGAL_ARGUMENT };
  
	String className() default "";    // only use default at test level if value is
	String methodName() default "";   // inherited from an annotation at the class level
	String signature() default "";
	String[] precondition() default {};
	String[] postcondition() default {} ;
	ErrorOutcome expectedException() default ErrorOutcome.NO_ERROR;
	String[] note() default {};
}
