/*
 * <copyright>
 * 
 * TCKTest.java
 *
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM
 * 
 * (c) Copyright IBM Corporation 2009.  All Rights Reserved. 
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or  
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp. 
 * 
 * </copyright>
 * 
 */
package com.ibm.sdo.tck.framework.annotations;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.METHOD,ElementType.TYPE,ElementType.PACKAGE}) @Documented @Retention(RetentionPolicy.RUNTIME) public @interface TCKTest {
	// these preconditions and postconditions can be used to describe the full
	// set of conditions,  or the common set of conditions for a set of Operations.
	// If it's the latter, then the additional conditions that make the test unique
	/// can be added to an instance of Operation.
	String[] precondition() default {};
	String[] postcondition() default {};
	
	SpecRef[] specRef() default {};
	String problemReport() default "";  // optional URL to a specification issue report
	Operation[] testFor() default {};   // a Method invocation made under specified conditions
	String[] note() default {};
	boolean isImplemented() default true;  // permit stub test flagging
}
