/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *  
 */
package com.ibm.sdo.tck.staticTest;

import java.io.Serializable;

import java.util.List;


public interface CT2 extends Serializable
{
	/**
	 * Returns the value of the '<em><b>Ct1</b></em>' containment reference.
	 * @return the value of the '<em>Ct1</em>' containment reference.
	 * @see #setCt1(ComplexType1)
	 */
	ComplexType1 getCt1();

	/**
	 * Sets the value of the '{@link com.ibm.sdo.tck.staticTest.CT2#getCt1 <em>Ct1</em>}' containment reference.
	 * @param value the new value of the '<em>Ct1</em>' containment reference.
	 * @see #getCt1()
	 */
	void setCt1(ComplexType1 value);

	/**
	 * Returns the value of the '<em><b>Ct1 List</b></em>' containment reference list.
	 * The list contents are of type {@link com.ibm.sdo.tck.staticTest.ComplexType1}.
	 * @return the value of the '<em>Ct1 List</em>' containment reference list.
	 */
	List getCt1List();
	
    public static final String SHOULD_NOT_APPEAR_IN_GENERATED_INTERFACES = 
        "If this String is found at runtime it means that the implementation" +
        " under test has not placed it\'s own generated version of the interface" +
        " on the classpath ahead of the version of the interface supplied by the TCK";

} // CT2
