/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *  
 *  $Rev: 540117 $  $Date: 2008/02/08 22:06:05 $
 */
package com.ibm.sdo.tck.tests;


import org.junit.runner.RunWith;
import org.junit.runners.Suite;

import com.ibm.sdo.tck.framework.TCKSuiteRunner;

/**
 * Declares general test classes to be run within JUnit 4.1 Suite for SDO TCK
 * which includes the following classes:<br>
 * <ul>
 * <li>{@link test.sdo21.tests.api.DataObject.DataObjectTest}</li>
 * <li>{@link test.sdo21.tests.conversion.DataHelperTest}</li>
 * <li>{@link test.sdo21.tests.general.XSDHelperTest}</li>
 * <li>{@link test.sdo21.tests.api.DefineTypesTest}</li>
 * </ul>
 * New test cases, or test cases that do not have consensus by the community
 * should be placed in the {@link test.sdo21.UnderReviewSuite} suite.
 */
@RunWith(TCKSuiteRunner.class)
@Suite.SuiteClasses( {
    // uncomment the next line to enable testing of static classes
    // but be sure first to augment your implementations test suite harness with
    // your versions of the interfaces and classes generated from the
    // staticTest/simple.xsd resource and put them on the classpath
    // ahead of the existing interfaces.
    com.ibm.sdo.tck.tests.staticsdo.StaticSimpleTest.class,
    com.ibm.sdo.tck.tests.xml.ChangeSummarySerializationTest.class,
    com.ibm.sdo.tck.tests.core.AnnotationsTest.class,
    com.ibm.sdo.tck.tests.core.ChangeSummaryTest.class,
    com.ibm.sdo.tck.tests.core.DataObjectListTest.class,
    com.ibm.sdo.tck.tests.core.DataObjectTest.class,
    com.ibm.sdo.tck.tests.core.OpenTypeSequenceTest.class,
    com.ibm.sdo.tck.tests.core.OpenTypeTest.class,
    com.ibm.sdo.tck.tests.core.SDOPathTest.class,
    com.ibm.sdo.tck.tests.core.SequenceTest.class,
    com.ibm.sdo.tck.tests.core.DataObjectAccessorTest.class,
    com.ibm.sdo.tck.tests.dynamictypes.AnnotationsDynamicMetadataTest.class,
    com.ibm.sdo.tck.tests.dynamictypes.DataFactoryDynamicMetadataTest.class,
    com.ibm.sdo.tck.tests.dynamictypes.DataObjectDynamicMetadataTest.class,
    com.ibm.sdo.tck.tests.dynamictypes.SequenceDynamicMetadataTest.class,
    com.ibm.sdo.tck.tests.dynamictypes.XMLHelperDynamicMetadataTest.class,
    com.ibm.sdo.tck.tests.helpers.CopyHelperTest.class,
    com.ibm.sdo.tck.tests.helpers.CopyHelper2Test.class,
    com.ibm.sdo.tck.tests.helpers.DataFactoryTest.class,
    com.ibm.sdo.tck.tests.helpers.DataHelperTest.class,
    com.ibm.sdo.tck.tests.helpers.EqualityHelperTest.class,
    com.ibm.sdo.tck.tests.helpers.HelperContextTest.class,
    com.ibm.sdo.tck.tests.helpers.TypeHelperTest.class,
    com.ibm.sdo.tck.tests.helpers.XMLHelperTest.class,
    com.ibm.sdo.tck.tests.helpers.XSDHelperTest.class,
    com.ibm.sdo.tck.tests.metadata.PropertyTest.class,
    com.ibm.sdo.tck.tests.dynamictypes.TypeDynamicMetadataTest.class,
    com.ibm.sdo.tck.tests.metadata.TypeTest.class,
    com.ibm.sdo.tck.tests.metadata.DefineTypesTest.class,
    com.ibm.sdo.tck.tests.xml.QNameTest.class,
    com.ibm.sdo.tck.tests.xml.SimpleContentTest.class,
    com.ibm.sdo.tck.tests.xml.SubstitutionGroupTest.class,
    com.ibm.sdo.tck.tests.xml.XMLWithoutSchemaTest.class,
    com.ibm.sdo.tck.tests.xml.DefaultSerializationTest.class,
    com.ibm.sdo.tck.tests.helpers.XMLDocumentTest.class,
    com.ibm.sdo.tck.tests.dynamictypes.TypeHelperDefineTest.class,
    com.ibm.sdo.tck.tests.metadata.XSDChoiceTest.class,
    com.ibm.sdo.tck.tests.metadata.XSDComplexTypeTest.class,
    com.ibm.sdo.tck.tests.xml.XSDHelperGenerateTest.class,
    com.ibm.sdo.tck.tests.metadata.XSDSimpleTypeTest.class
                      })
public class TCKTestSuite {
}
